Name:		ncmpcpp
Version:	0.9.1
Release:	%mkrel 2
Summary:	An ncurses mpd client inspired by ncmpc
License:	GPLv2+
Group:		Sound/Players
URL:		http://ncmpcpp.rybczak.net/
Source0:	http://ncmpcpp.rybczak.net/stable/%{name}-%{version}.tar.bz2
Patch1:		ncmpcpp-missing-include.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	fftw-devel
BuildRequires:	boost-devel
BuildRequires:	readline-devel

%description
Ncmpcpp has UI very similar to ncmpc's one, but it provides new useful features
such as support for regular expressions in search engine, extended song format,
items filtering, last.fm support, ability to sort playlist, local filesystem
browser and other minor functions.

%prep
%autosetup -p1

%build
BOOST_LIB_SUFFIX=""; export BOOST_LIB_SUFFIX ;
%configure
%make_build

%install
%make_install
# Don't install license in docdir
rm -f %{buildroot}/%{_datadir}/doc/%{name}/COPYING

%files
%doc AUTHORS CHANGELOG.md doc/config doc/bindings
%license COPYING 
%_bindir/%{name}
%_mandir/man1/%{name}.*


%changelog
* Thu Dec 31 2020 wally <wally> 0.9.1-2.mga8
+ Revision: 1666791
- rebuild for boost 1.75.0

* Sat Dec 26 2020 solbu <solbu> 0.9.1-1.mga8
+ Revision: 1663907
- New version: 0.9.1

* Sun Dec 20 2020 wally <wally> 0.8.2-14.mga8
+ Revision: 1662033
- rebuild for boost 1.74.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.8.2-13.mga8
+ Revision: 1650906
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.8.2-12.mga8
+ Revision: 1601127
- rebuild for icu 67.1

* Sun May 03 2020 wally <wally> 0.8.2-11.mga8
+ Revision: 1578087
- rebuild for boost 1.73.0

* Sat Apr 04 2020 wally <wally> 0.8.2-10.mga8
+ Revision: 1564484
- rebuild for new icu 66.1

* Wed Feb 19 2020 umeabot <umeabot> 0.8.2-9.mga8
+ Revision: 1544856
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.8.2-8.mga8
+ Revision: 1483405
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 0.8.2-7.mga8
+ Revision: 1476812
- rebuild for readline

* Sat Oct 05 2019 daviddavid <daviddavid> 0.8.2-6.mga8
+ Revision: 1449506
- rebuild for new icu 65.1

* Fri Jan 11 2019 daviddavid <daviddavid> 0.8.2-5.mga7
+ Revision: 1354744
- rebuild for new icu

* Fri Oct 26 2018 zezinho <zezinho> 0.8.2-4.mga7
+ Revision: 1326025
- rebuild against libmpdclient 2.16

* Tue Oct 16 2018 wally <wally> 0.8.2-3.mga7
+ Revision: 1321069
- rebuild for new boost 1.68.0

* Tue Aug 28 2018 daviddavid <daviddavid> 0.8.2-2.mga7
+ Revision: 1255145
- rebuild for new icu

* Fri May 18 2018 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1230291
- new version: 0.8.2

* Mon Dec 25 2017 wally <wally> 0.6.7-5.mga7
+ Revision: 1184691
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.6.7-4.mga7
+ Revision: 1178105
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 0.6.7-3.mga7
+ Revision: 1154973
- rebuild with latest boost

* Sun Dec 27 2015 daviddavid <daviddavid> 0.6.7-2.mga6
+ Revision: 915507
- rebuild for new boost 1.60.0

* Sat Nov 07 2015 daviddavid <daviddavid> 0.6.7-1.mga6
+ Revision: 898444
- new version: 0.6.7

* Sat Nov 07 2015 solbu <solbu> 0.6.4-1.mga6
+ Revision: 898414
- New version
- Fix URLs
- Fix source tag
- Use Tab indentation
- New BuildRequires: boost-devel

* Wed Oct 15 2014 umeabot <umeabot> 0.5.10-6.mga5
+ Revision: 746469
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.10-5.mga5
+ Revision: 682814
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.10-4.mga4
+ Revision: 508139
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 0.5.10-2.mga3
+ Revision: 322698
- bump rel and fix RPM Group

* Fri Jun 08 2012 shlomif <shlomif> 0.5.10-1.mga3
+ Revision: 257598
- New version - 0.5.10

* Sat Feb 25 2012 kharec <kharec> 0.5.8-1.mga2
+ Revision: 214627
- fix sha1.lst
- Version 0.5.8

* Sat Jul 02 2011 kharec <kharec> 0.5.7-1.mga2
+ Revision: 117437
- new version

* Tue Mar 22 2011 obgr_seneca <obgr_seneca> 0.5.6-2.mga1
+ Revision: 75550
- rebuild against new libmpdclient-2.4

* Mon Feb 14 2011 shikamaru <shikamaru> 0.5.6-1.mga1
+ Revision: 51751
- Apply new mageia policy
- retab spec
- remove useless defines on top
- reorder tags
- New version 0.5.6
- imported package ncmpcpp


* Wed Sep 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 576859
- bump release

* Sun Aug 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 567658
- rebuild for new libmpdclient

* Tue Jul 13 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 552823
- bump release, many bugfixes and improvements

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 533119
- bump release

* Mon Mar 15 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 520351
- bump release

* Sun Feb 21 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 508965
- bump release

* Sun Jan 10 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5-1mdv2010.1
+ Revision: 488763
- update to new release (0.5)
- add taglib support

* Sat Nov 07 2009 Rémy Clouard <shikamaru@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 462100
- import ncmpcpp

